Loading...
Searching...
No Matches
nea_tag.h File Reference

Tags for Nokia User Agent Library. More...

`#include <sofia-sip/su_tag.h>`
`#include <sofia-sip/url_tag.h>`
`#include <sofia-sip/sip_tag.h>`
`#include <sofia-sip/nta_tag.h>`
Include dependency graph for nea_tag.h:

Go to the source code of this file.

## Macros

#define | NEA_TAG_H
| Defined when <sofia-sip/nea_tag.h> has been included.
#define | NEATAG_ANY()
| Filter tag matching any nea tag.
#define | NEATAG_MIN_EXPIRES(x)
| Specify the minimum duration of a subscription (by default, 15 minutes).
#define | NEATAG_EXPIRES(x)
| Specify the default duration of a subscription (by default, 60 minutes).
#define | NEATAG_MAX_EXPIRES(x)
| Specify the maximum duration of a subscription (by default, 24 hours).
#define | NEATAG_EVENTLIST(x)
| Indicate/require support for "eventlist" feature.
#define | NEATAG_THROTTLE(x)
| Specify the default throttle value for subscription.
#define | NEATAG_MINTHROTTLE(x)
| Specify the minimum throttle value for subscription.
#define | NEATAG_DIALOG(x)
| Specify dialog handle.
#define | NEATAG_SUB(x)
| Pass pointer to subscription.
#define | NEATAG_FAKE(x)
| Use fake content.
#define | NEATAG_REASON(x)
| Specify reason for termination.
#define | NEATAG_RETRY_AFTER(x)
| Specify retry-after for termination.
#define | NEATAG_EXSTATE(x)
| Specify extended state for subscription-state.
#define | NEATAG_STRICT_3265(x)
| Do not try to conform pre-3265 notifiers/watchers.
#define | NEATAG_VERSION(x)
| Version number of content.

## Enumerations

enum | nea_state_t { }
| Event states. More...

## Detailed Description

Tags for Nokia User Agent Library.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com
  Martti Mela <Martti Mela@.nosp@m.noki.nosp@m.a.com>

Date
  Created: Mon Nov 28 18:54:26 EET 2005 mela

## Macro Definition Documentation

## NEATAG_FAKE

#define NEATAG_FAKE | ( |  | x | ) |

Use fake content.

See also
  nea_sub_auth() and nea_server_update().

## Enumeration Type Documentation

## nea_state_t

enum nea_state_t

Event states.

Enumerator
nea_pending | Before first notify.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.